using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace BizTalkFactory.Management.Automation.UnitTests
{
    [TestClass]
    public class ImportBindingTestClass
    {
        private static string name = BizTalkParams.GetUniqueName("A");

        //[ClassInitialize]
        public static void Setup(TestContext context)
        {
            BtsCatalog catalog = BizTalkParams.Connect();
            BtsApplication application = catalog.AddNewApplication(name);
        }

        //[ClassCleanup]
        public static void TearDown()
        {
            BtsCatalog catalog = BizTalkParams.Connect();
            try { catalog.RemoveApplication(name, true); }
            catch { }
        }

        [TestMethod]
        public void ImportBindingTest()
        {
            BtsCatalog catalog = BizTalkParams.Connect();

            BtsApplication application = catalog.Applications["Calyon.Arc.Inbound.Application.Tests"];
            catalog.ImportBinding(application, @"C:\Documents and Settings\Administrator\Local Settings\Temp\tmp142.xml");
            
            Assert.IsTrue(true);
        }
    }
 }
