using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace BizTalkFactory.Management.Automation.UnitTests
{
    public partial class CatalogTest
    {
        [TestMethod]
        public void ConnectCatalogTest()
        {
            BtsCatalog catalog = BtsCatalog.Connect(BizTalkParams.Server, BizTalkParams.Database);
        }

        [TestMethod]
        [ExpectedException(typeof(System.Data.SqlClient.SqlException))]
        public void ConnectCatalogFailureTest()
        {
            BtsCatalog catalog = BtsCatalog.Connect("InvalidServerName", "InvalidDatabaseName");
        }
    }
 }
