using System;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public abstract class BtsApplicationArtifact : BtsArtifact
    {
        protected BtsApplication application_;

        protected BtsApplicationArtifact(BtsApplication application)
            : base(application.Catalog)
        {
            application_ = application;
        }

        public BtsApplication Application
        {
            get { return application_; }
        }
    }
}