using System;
using System.Collections;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public class BtsPartyCollection : BtsCollection<BtsParty>
    {
        public BtsPartyCollection(BtsCatalog catalog)
            : this(catalog, catalog.BtsCatalogExplorer.Parties)
        {
        }

        public BtsPartyCollection(BtsCatalog catalog, ICollection collection)
            : base(catalog, collection)
        {
        }
    }
}
