using System;
using System.Collections.Generic;

namespace BizTalkFactory.Management.Automation
{
    public class BtsPipelineCollection : BtsCollection<BtsPipeline>
    {
        public BtsPipelineCollection(BtsApplication application)
            : base(application.Catalog, application.Catalog.BtsCatalogExplorer.Applications[application.Name].Pipelines)
        {
        }

        public BtsPipelineCollection(BtsCatalog catalog)
            : base(catalog, catalog.BtsCatalogExplorer.Pipelines)
        {
        }
    }
}
