﻿using System;
using System.Collections.Generic;

using Microsoft.BizTalk.Management;

namespace BizTalkFactory.Management.Automation
{
    public class BtsReceiveHandlerCollection : BtsCollection<BtsReceiveHandler>
    {
        public BtsReceiveHandlerCollection(BtsCatalog catalog)
            : base(
                 catalog,
                 ReceiveHandler.GetInstances(
                 ManagementScopeHelper.GetScope(
                     typeof(ReceiveHandler)
                         , catalog.Instance
                         , catalog.Database), null, null))
        {
        }
    }
}
