using System;
using System.Collections.Generic;

namespace BizTalkFactory.Management.Automation
{
    public class BtsSchemaCollection : BtsCollection<BtsSchema>
    {
        public BtsSchemaCollection(BtsApplication application)
            : base(application.Catalog, application.Catalog.BtsCatalogExplorer.Applications[application.Name].Schemas)
        {
        }

        public BtsSchemaCollection(BtsCatalog catalog)
            : base(catalog, catalog.BtsCatalogExplorer.Schemas)
        {
        }
    }
}
