﻿using System;
using System.Collections.Generic;

using Microsoft.BizTalk.Management;

namespace BizTalkFactory.Management.Automation
{
    public class BtsSendHandlerCollection : BtsCollection<BtsSendHandler>
    {
        public BtsSendHandlerCollection(BtsCatalog catalog)
            : base(
                 catalog,
                 SendHandler2.GetInstances(
                 ManagementScopeHelper.GetScope(
                     typeof(SendHandler2)
                         , catalog.Instance
                         , catalog.Database), null, null))
        {
        }
    }
}
