using System;
using System.Collections;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public class BtsSendPortGroupCollection : BtsCollection<BtsSendPortGroup>
    {
        public BtsSendPortGroupCollection(BtsApplication application)
            : base(application.Catalog, application.Catalog.BtsCatalogExplorer.Applications[application.Name].SendPortGroups)
        {
        }

        public BtsSendPortGroupCollection(BtsCatalog catalog)
            : base(catalog, catalog.BtsCatalogExplorer.SendPortGroups)
        {
        }
    }
}
