using System;

using Microsoft.BizTalk.ExplorerOM;
using Microsoft.BizTalk.Management;

namespace BizTalkFactory.Management.Automation
{
    internal static class SchemaTypeConverter
    {
        public static BtsSchemaType FromNativeType(SchemaType value)
        {
            switch (value)
            {
                case SchemaType.Document:
                    return BtsSchemaType.Document;
                case SchemaType.Property:
                    return BtsSchemaType.Property;
            }

            System.Diagnostics.Debug.Assert(false);
            return BtsSchemaType.Document;
        }

        public static SchemaType ToNativeType(BtsSchemaType value)
        {
            switch (value)
            {
                case BtsSchemaType.Document:
                    return SchemaType.Document;
                case BtsSchemaType.Property:
                    return SchemaType.Property;
            }

            System.Diagnostics.Debug.Assert(false);
            return SchemaType.Document;
        }
    }
}
