using System;

namespace BizTalkFactory.Management.Automation
{
    [Flags]
    public enum BtsCapabilities
    {
        SupportsReceive = 1,
        SupportsSend = 2,
        RequireSingleInstance = 4,
        ReceiveIsCreatable = 8,
        ApplicationProtocol = 16,
        DeleteProtected = 32,
        StaticHandlers = 64,
        SupportsRequestResponse = 128,
        SupportsSolicitResponse = 256,
        SupportsSoap = 512,
        InitOutboundProtocolContext = 1024,
        InitInboundProtocolContext = 2048,
        InitReceiveLocationContext = 4096,
        InitTransmitLocationContext = 8192,
        SupportsOrderedDelivery = 16384,
        InitTransmitterOnServiceStart = 32768,
    }
}
