using System;

namespace BizTalkFactory.Management.Automation
{
    [Flags]
    public enum BtsTrackingTypes
    {
        BeforeReceivePipeline = 1,
        AfterReceivePipeline = 2,
        BeforeSendPipeline = 4,
        AfterSendPipeline = 8,
        TrackPropertiesBeforeReceivePipeline = 16,
        TrackPropertiesAfterReceivePipeline = 32,
        TrackPropertiesBeforeSendPipeline = 64,
        TrackPropertiesAfterSendPipeline = 128,
    }
}
