﻿using System;
using System.Collections.Generic;
using System.Management.Automation;
using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    internal class Party : BizTalkObject
    {
        internal Party(object item)
            : base(item)
        {
            System.Diagnostics.Debug.Assert(item is BtsParty);
        }

        private new BtsParty Item
        {
            get { return (base.Item as BtsParty); }
        }

        public override string Name
        {
            get { return Item.Name; }
        }

        public override void RemoveItem(bool recurse)
        {
            this.Item.Catalog.RemoveParty(this.Item);
        }
    }
}
