﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Management.Automation;
using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    internal class Policy : BizTalkObject
    {
        internal Policy(object item)
            : base(item)
        {
            System.Diagnostics.Debug.Assert(item is BtsPolicy);
        }

        private new BtsPolicy Item
        {
            get { return (base.Item as BtsPolicy); }
        }

        public override string Name
        {
            get { return Item.Name; }
        }

        public override void RemoveItem(bool recurse)
        {
            this.Item.Application.RemovePolicy(this.Item);
        }
    }
}
