using System;

using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    internal class TrackedMessageInstance : BizTalkObject
    {
        internal TrackedMessageInstance(object item)
            : base(item, false)
        {
            System.Diagnostics.Debug.Assert(item is BtsTrackedMessageInstance);
        }

        private new BtsTrackedMessageInstance Item
        {
            get { return (base.Item as BtsTrackedMessageInstance); }
        }

        public override string Name
        {
            get { return Item.Name; }
        }
    }
}
