using System;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

namespace System.Runtime.InteropServices.ComTypes
{
	[Guid("0002E013-0000-0000-C000-000000000046")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    [ComImport()]
	public interface ICatInformation
	{
        [MethodImpl(MethodImplOptions.InternalCall)]
		[return: MarshalAs(UnmanagedType.Interface)]
		IEnumCATEGORYINFO EnumCategories([In] uint lcid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        [return: MarshalAs(UnmanagedType.LPWStr)]
		string GetCategoryDesc( [In] ref Guid rcatid, [In] uint lcid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        [return: MarshalAs(UnmanagedType.Interface)]
        IEnumGUID RemoteEnumClassesOfCategories([In] uint cImplemented, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatidImpl, [In] uint cRequired, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatidReq);
        [MethodImpl(MethodImplOptions.InternalCall)]
        void RemoteIsClassOfCategories([In] ref Guid rclsid, [In] uint cImplemented, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatidImpl, [In] uint cRequired, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatidReq);
        [MethodImpl(MethodImplOptions.InternalCall)]
        [return: MarshalAs(UnmanagedType.Interface)]
		IEnumGUID EnumImplCategoriesOfClass( [In] ref Guid rclsid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        [return: MarshalAs(UnmanagedType.Interface)]
		IEnumGUID EnumReqCategoriesOfClass( [In] ref Guid rclsid);
	}
}
