using System;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

namespace System.Runtime.InteropServices.ComTypes
{
	[Guid("0002E000-0000-0000-C000-000000000046")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    [ComImport()]
    public interface IEnumGUID
	{
        [MethodImpl(MethodImplOptions.InternalCall)]
		uint Next([In] uint celt, out Guid rgelt);
        [MethodImpl(MethodImplOptions.InternalCall)]
		void Skip([In] uint celt);
        [MethodImpl(MethodImplOptions.InternalCall)]
		void Reset();
        [MethodImpl(MethodImplOptions.InternalCall)]
		[return: MarshalAs(UnmanagedType.Interface)]
		IEnumGUID Clone();
	}
}
