﻿using System;

using Microsoft.BizTalk.Operations;

namespace BizTalkFactory.Management.Automation
{
    public sealed class PendingOperationTypeConverter
    {
        public static BtsPendingOperationType FromNativeType(PendingOperationType value)
        {
            switch (value)
            {
                case PendingOperationType.All:
                    return BtsPendingOperationType.All;
                case PendingOperationType.NoOperation:
                    return BtsPendingOperationType.NoOperation;
                case PendingOperationType.Suspend:
                    return BtsPendingOperationType.Suspend;
                case PendingOperationType.Terminate:
                    return BtsPendingOperationType.Terminate;
            }

            return BtsPendingOperationType.NoOperation;
        }

        public static PendingOperationType ToNativeType(BtsPendingOperationType value)
        {
            switch (value)
            {
                case BtsPendingOperationType.All:
                    return PendingOperationType.All;
                case BtsPendingOperationType.NoOperation:
                    return PendingOperationType.NoOperation;
                case BtsPendingOperationType.Suspend:
                    return PendingOperationType.Suspend;
                case BtsPendingOperationType.Terminate:
                    return PendingOperationType.Terminate;
            }

            return PendingOperationType.NoOperation;
        }
    }
}
