﻿using System;
using System.Collections.Generic;

using Microsoft.BizTalk.Management;

namespace BizTalkFactory.Management.Automation
{
    public class BtsAdapterCollection : BtsCollection<BtsAdapter>
    {
        public BtsAdapterCollection(BtsCatalog catalog)
            : base(
                 catalog,
                 AdapterSetting.GetInstances(
                 ManagementScopeHelper.GetScope(
                     typeof(AdapterSetting)
                         , catalog.Instance
                         , catalog.Database), null, null))
        {
        }
    }
}
