using System;
using System.Collections;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public class BtsApplicationCollection : BtsCollection<BtsApplication>
    {
        public BtsApplicationCollection(BtsCatalog catalog)
            : this(catalog, catalog.BtsCatalogExplorer.Applications)
        {
        }

        public BtsApplicationCollection(BtsCatalog catalog, ICollection collection)
            : base(catalog, collection)
        {
        }
    }
}
