using System;
using System.Collections.Generic;

using Microsoft.BizTalk.Management;

namespace BizTalkFactory.Management.Automation
{
    public class BtsHostInstanceCollection : BtsCollection<BtsHostInstance>
    {
        public BtsHostInstanceCollection(BtsCatalog catalog)
            : base(
                  catalog
                , HostInstance.GetInstances(
                    ManagementScopeHelper.GetScope(
                          typeof(HostInstance)
                        , catalog.Instance
                        , catalog.Database), null, null))
        {
        }
    }
}
