﻿using System;
using System.Net;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public class BtsParty : BtsArtifact
    {
        private Party party_;

        private BtsParty(BtsCatalog catalog, Party party)
            : base(catalog)
        {
            party_ = party;
        }

        public static BtsParty FromItem(BtsCatalog catalog, object item)
        {
            return new BtsParty(catalog, item as Party);
        }

        #region Attributes

        public override string Name
        {
            get { return party_.Name; }
        }

        #endregion
    }
}
