using System;
using System.Collections;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public class BtsReceivePortCollection : BtsCollection<BtsReceivePort>
    {
        public BtsReceivePortCollection(BtsApplication application)
            : base(application.Catalog, application.Catalog.BtsCatalogExplorer.Applications[application.Name].ReceivePorts)
        {
        }

        public BtsReceivePortCollection(BtsCatalog catalog)
            : base(catalog, catalog.BtsCatalogExplorer.ReceivePorts)
        {
        }
    }
}
