﻿using System;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    public class BtsReference : BtsApplicationArtifact
    {
        private string name_;

        internal BtsReference(BtsApplication application, string name)
            : base(application)
        {
            name_ = name;
        }

        #region Attributes

        public override string Name
        {
            get { return name_; }
        }

        public BtsApplication Reference
        {
            get { return Catalog.Applications[Name]; }
        }

        #endregion
    }
}
