using System;

using Microsoft.BizTalk.ExplorerOM;

namespace BizTalkFactory.Management.Automation
{
    internal static class OrchestrationStatusConverter
    {
        public static BtsOrchestrationStatus FromNativeType(OrchestrationStatus value)
        {
            switch (value)
            {
                case OrchestrationStatus.Started:
                    return BtsOrchestrationStatus.Started;
                case OrchestrationStatus.Enlisted:
                    return BtsOrchestrationStatus.Enlisted;
                case OrchestrationStatus.Unenlisted:
                    return BtsOrchestrationStatus.Unenlisted;
            }

            return BtsOrchestrationStatus.Invalid;
        }
    }
}
