using System;
using System.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    class BizTalkDriveParameters
    {
        private string sql_instance_ = Environment.MachineName;
        private string sql_database_ = "BizTalkMgmtDb";

        [Parameter]
        public string Instance
        {
            get { return sql_instance_; }
            set { sql_instance_ = value; }
        }

        [Parameter]
        public string Database
        {
            get { return sql_database_; }
            set { sql_database_ = value; }
        }
    }
}
