using System;
using System.Management.Automation;
using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    class NewApplicationDynamicParameters
    {
        private string description_ = String.Empty;
        private bool isDefault_ = false;
        BtsApplication[] references_ = new BtsApplication[] {};

        [Parameter]
        public string Description
        {
            get { return description_; }
            set { description_ = value; }
        }

        [Parameter]
        public bool Default
        {
            get { return isDefault_; }
            set { isDefault_ = value; }
        }

        [Parameter, ApplicationTransformation]
        public BtsApplication[] References
        {
            get { return references_; }
            set { references_ = value; }
        }
    }
}
