using System.Management.Automation;
using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    class NewHostDynamicParameters
    {
        private BtsHostType type_ = BtsHostType.InProcess;
        private string group_ = "BizTalk Application Users";
        private bool trusted_ = false;

        [Parameter]
        public BtsHostType HostType
        {
            get { return type_; }
            set { type_ = value; }
        }

        [Parameter]
        public string NtGroupName
        {
            get { return group_; }
            set { group_ = value; }
        }

        [Parameter]
        public SwitchParameter AuthTrusted
        {
            get { return trusted_; }
            set { trusted_ = value; }
        }
    }
}
