using System;
using System.Collections.Generic;
using System.Management.Automation;
using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    internal class HealthAndActivityFolder : Folder
    {
        internal HealthAndActivityFolder(BizTalkObject parent)
            : base(parent, new FolderContainer("Health and Activity"))
        {
        }

        public override BizTalkObject[] GetChildItems(bool recurse)
        {
            List<BizTalkObject> objects = new List<BizTalkObject>();
            objects.Add(new MessagesFolder(this));
            objects.Add(new ServiceInstancesFolder(this));
            return objects.ToArray();
        }
    }
}
