using System;

using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    internal class Message : BizTalkObject
    {
        internal Message(object item)
            : base(item, false)
        {
            System.Diagnostics.Debug.Assert(item is BtsMessage);
        }

        private new BtsMessage Item
        {
            get { return (base.Item as BtsMessage); }
        }

        public override string Name
        {
            get { return Item.Name; }
        }
    }
}
