using System;

using BizTalkFactory.Management.Automation;

namespace BizTalkFactory.PowerShell.Extensions
{
    internal class ServiceInstance : BizTalkObject
    {
        internal ServiceInstance(object item)
            : base(item, false)
        {
            System.Diagnostics.Debug.Assert(item is BtsServiceInstance);
        }

        private new BtsServiceInstance Item
        {
            get { return (base.Item as BtsServiceInstance); }
        }

        public override string Name
        {
            get { return Item.Name; }
        }

        #region Attributes

        #endregion
    }
}
