using System;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

namespace System.Runtime.InteropServices.ComTypes
{
	[Guid("0002E012-0000-0000-C000-000000000046")]
    [InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    [ComImport()]
    public interface ICatRegister
	{
        [MethodImpl(MethodImplOptions.InternalCall)]
        void RegisterCategories([In] uint cCategories, [MarshalAs(UnmanagedType.LPArray)] [In] CATEGORYINFO[] rgCategoryInfo);
        [MethodImpl(MethodImplOptions.InternalCall)]
        void UnRegisterCategories([In] uint cCategories, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        void RegisterClassImplCategories([In] ref Guid rclsid, [In] uint cCategories, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        void UnRegisterClassImplCategories([In] ref Guid rclsid, [In] uint cCategories, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        void RegisterClassReqCategories([In] ref Guid rclsid, [In] uint cCategories, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatid);
        [MethodImpl(MethodImplOptions.InternalCall)]
        void UnRegisterClassReqCategories([In] ref Guid rclsid, [In] uint cCategories, [MarshalAs(UnmanagedType.LPArray)] [In] Guid[] rgcatid);
	}
}
